%define ewmh_major 2
%define icccm_major 4

%define libewmh %mklibname xcb-ewmh %ewmh_major
%define libicccm %mklibname xcb-icccm %icccm_major

%define develname %mklibname %{name} -d

Summary:	xcb-util-wm
Name:		xcb-util-wm
Version:	0.4.1
Release:	%mkrel 3
Url:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%name-%{version}.tar.bz2
License:	MIT
Group:		System/X11
BuildRequires:	xcb-util-devel >= 0.3.8
BuildRequires:	x11-util-macros

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package -n %libewmh
Summary: xcb-ewmh library package
Group: System/X11

%description -n %libewmh
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package -n %libicccm
Summary: xcb-icccm library package
Group: System/X11

%description -n %libicccm
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package -n %develname
Summary: xcb-util-wm development headers
Group: Development/C
Provides:  libxcb-util-wm-devel = %version-%release
Provides:  xcb-util-wm-devel = %version-%release
Requires:  %libewmh = %version-%release
Requires:  %libicccm = %version-%release
Conflicts: %{mklibname xcb-util -d} < 0.3.8
Conflicts: %{mklibname xcb-util -d -s} < 0.3.8

%description -n %develname
This pakcage includes the development files required to build software against
%{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%files -n %libewmh
%{_libdir}/libxcb-ewmh.so.%{ewmh_major}*

%files -n %libicccm
%{_libdir}/libxcb-icccm.so.%{icccm_major}*

%files -n %develname
%doc ChangeLog NEWS README
%{_includedir}/xcb/xcb_ewmh.h
%{_includedir}/xcb/xcb_icccm.h
%{_libdir}/libxcb-ewmh.a
%{_libdir}/libxcb-ewmh.la
%{_libdir}/libxcb-ewmh.so
%{_libdir}/libxcb-icccm.a
%{_libdir}/libxcb-icccm.la
%{_libdir}/libxcb-icccm.so
%{_libdir}/pkgconfig/xcb-ewmh.pc
%{_libdir}/pkgconfig/xcb-icccm.pc


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-3.mga5
+ Revision: 750890
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-2.mga5
+ Revision: 690565
- Mageia 5 Mass Rebuild

* Fri Mar 07 2014 tv <tv> 0.4.1-1.mga5
+ Revision: 601002
- new release

* Tue Feb 04 2014 tv <tv> 0.4.0-1.mga5
+ Revision: 582719
- new release

* Fri Oct 18 2013 umeabot <umeabot> 0.3.9-3.mga4
+ Revision: 520457
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3.9-2.mga3
+ Revision: 386695
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 fwang <fwang> 0.3.9-1.mga3
+ Revision: 253698
- update libmajor
- new version 0.3.9

* Wed Jul 06 2011 ahmad <ahmad> 0.3.8-1.mga2
+ Revision: 119283
- Versionate the xcb-util-devel requires
- imported package xcb-util-wm

